Subject: bug#30793: 25.3; menubar font broken with fontconfig-2.13.0 (with Lucid toolkit)

From: Eli Zaretskii <[email-masked]>
Date: Tue, 13 Mar 2018 18:55:19 +0200

> Date: Tue, 13 Mar 2018 11:53:01 +0100
> From: Ulrich Mueller <[email-masked]>
> 
> I have the following lines in my ~/.Xresources:
> 
>    Emacs.pane.menubar.font: Droid Sans-10:bold
>    Emacs.pane.menubar.background: maroon
>    Emacs.pane.menubar.foreground: ivory
> 
> So I would expect the menubar font to be bold (which worked as
> expected with fontconfig-2.12.6).
> 
> However, with fontconfig-2.13.0, the font appears in medium weight.
> Other attributes, like the typeface itself or the size seem to work
> correctly.

Isn't this entirely between X and fontconfig?  I mean, what's Emacs's
part in this?

Was this reported to the fontconfig developers?

Thanks.